<?php
/**
 * PatchProductRequestTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\PimClient;

use PHPUnit\Framework\TestCase;

/**
 * PatchProductRequestTest Class Doc Comment
 *
 * @category    Class
 * @description Attributes and images are optional. If they do not need to be changed, the corresponding fields must be absent from the request, the null value cannot be used. The update procedure is the same as in the PATCH .../products/{id}/attributes and PATCH .../products/{id}/images requests.
 * @package     Ensi\PimClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class PatchProductRequestTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "PatchProductRequest"
     */
    public function testPatchProductRequest()
    {
    }

    /**
     * Test attribute "external_id"
     */
    public function testPropertyExternalId()
    {
    }

    /**
     * Test attribute "barcode"
     */
    public function testPropertyBarcode()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "vendor_code"
     */
    public function testPropertyVendorCode()
    {
    }

    /**
     * Test attribute "category_ids"
     */
    public function testPropertyCategoryIds()
    {
    }

    /**
     * Test attribute "brand_id"
     */
    public function testPropertyBrandId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "description"
     */
    public function testPropertyDescription()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "allow_publish"
     */
    public function testPropertyAllowPublish()
    {
    }

    /**
     * Test attribute "weight"
     */
    public function testPropertyWeight()
    {
    }

    /**
     * Test attribute "weight_gross"
     */
    public function testPropertyWeightGross()
    {
    }

    /**
     * Test attribute "length"
     */
    public function testPropertyLength()
    {
    }

    /**
     * Test attribute "width"
     */
    public function testPropertyWidth()
    {
    }

    /**
     * Test attribute "height"
     */
    public function testPropertyHeight()
    {
    }

    /**
     * Test attribute "is_adult"
     */
    public function testPropertyIsAdult()
    {
    }

    /**
     * Test attribute "uom"
     */
    public function testPropertyUom()
    {
    }

    /**
     * Test attribute "order_step"
     */
    public function testPropertyOrderStep()
    {
    }

    /**
     * Test attribute "order_minvol"
     */
    public function testPropertyOrderMinvol()
    {
    }

    /**
     * Test attribute "picking_weight_deviation"
     */
    public function testPropertyPickingWeightDeviation()
    {
    }

    /**
     * Test attribute "status_id"
     */
    public function testPropertyStatusId()
    {
    }

    /**
     * Test attribute "status_comment"
     */
    public function testPropertyStatusComment()
    {
    }

    /**
     * Test attribute "attributes"
     */
    public function testPropertyAttributes()
    {
    }

    /**
     * Test attribute "images"
     */
    public function testPropertyImages()
    {
    }
}
